@echo off
::
::      Sample batchfile to use with O/T's /CHECKOLD parameter.
::      This file will be called from DOOLD.BAT, created by O/T
::
::       Sun., Aug. 08. 1993
::
::   Parameters:
::
::     1.            -> full name of *.MSG (including path)
::     2.            -> FROM: - name of the message
::     3.            -> TO: - name of the message
::                      (Blanks replaced by underscores!)
::     4.            -> either A or -
::                      A means: this message has files attached!
::     5.            -> either R or -
::                      R means: this message is RECEIVED
::     6.            -> either L or -
::                      L means: this message is LOCAL
::     /7./8./9./10..-> the subject of this message
::                      (if the message if a file-attach, this are the
::                       attached files)
::
echo Msg:     %1
echo To:      %3
echo Subject: %7 %8 %9 
if "%4" == "A" goto Attach
echo is not an attach-message!
goto EndIt

:Attach
if "%6" == "L" goto IsLocal
echo is not a local message!
goto EndIt

:IsLocal
echo MSG could be moved with:
echo MOVE %1 m:\fd\old

:NextFile
if "%7" == "" goto NoMoreFiles
echo MOVE %7 m:\fd\old
shift
goto NextFile
:NoMoreFiles

:EndIt
echo DONE!
echo.
echo.
